# class OpenStruct

OpenStruct serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by constructing new Struct object with values `v` serialized by `to_json`.

    # File lib/json/add/ostruct.rb, line 11
    def self.json_create(object)
      new(object['t'] || object[:t])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/ostruct.rb, line 17
    def as_json(*)
      klass = self.class.name
      klass.to_s.empty? and raise JSON::JSONError, "Only named structs are supported!"
      {
        JSON.create_id => klass,
        't'            => table,
      }
    end

to_json(*args) click to toggle source

Stores class name (OpenStruct) with this struct's values `v` as a JSON string.

    # File lib/json/add/ostruct.rb, line 28
    def to_json(*args)
      as_json.to_json(*args)
    end